//NuancesNonUtilisees_201f.js
// 13.03.09 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / <hsa@ringier.ch>
//DESCRIPTION:Des nuances inutilises sont supprimes

// activer l'affichage des dialogues
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// tester s'il y a un document ouvert
if (app.documents.length == 0) {
	alert ("Il faut ouvrir un document InDesign.", "Attention");
	exit();
}

// dresser la liste des nuances inutilises
var uuSwatches = app.documents[0].unusedSwatches;
var ctr = 0;

// une boucle  travers les nuances inutilises
// et effacer uniquement quand il y a un nom
for (var i=uuSwatches.length-1; i>-1; i--) {
	if (uuSwatches[i].name != "") {
		try {
			uuSwatches[i].remove();
			ctr++;
		}
		catch (e) {
		}
	}
}

// avertir l'utilisateur
if (ctr == 0) {
	alert ("Aucune nuance supprime.", "Termin");
}
else if (ctr == 1) {
	alert ("Une seule nuance a t supprime.", "Termin");
}
else {
	alert ("Nombre de nuances supprimes: " + ctr, "Termin");
}